# <img src="https://opentelemetry.io/img/logos/opentelemetry-logo-nav.png" alt="OpenTelemetry Icon" width="45" height=""> OpenTelemetry Semantic Conventions

[![Checks](https://github.com/open-telemetry/semantic-conventions/workflows/Checks/badge.svg)](https://github.com/open-telemetry/semantic-conventions/actions?query=workflow%3A%22Checks%22+branch%3Amain)
[![GitHub tag (latest SemVer)](https://img.shields.io/github/tag/open-telemetry/semantic-conventions.svg?logo=opentelemetry&&color=f5a800&label=Latest%20release)](https://github.com/open-telemetry/semantic-conventions/releases/latest)
[![Specification Version](https://img.shields.io/badge/OTel_specification_version-v1.44.0-blue?logo=opentelemetry&color=f5a800)](https://github.com/open-telemetry/opentelemetry-specification/releases/tag/v1.44.0)

Semantic Conventions define a common set of (semantic) attributes which
provide meaning to data when collecting, producing and consuming it.

## Read the docs

The human-readable version of the semantic conventions resides in the [docs](docs/README.md) folder.
Major parts of these Markdown documents are generated from the YAML definitions located in the [model](model/README.md) folder.

## Contributing

See [CONTRIBUTING.md](CONTRIBUTING.md)

Approvers ([@open-telemetry/specs-semconv-approvers](https://github.com/orgs/open-telemetry/teams/specs-semconv-approvers)):

- [Alexandra Konrad](https://github.com/trisch-me), Elastic
- [Daniel Dyla](https://github.com/dyladan), Dynatrace
- [Ted Young](https://github.com/tedsuo), Lightstep

_Find more about the approver role in [community repository](https://github.com/open-telemetry/community/blob/main/guides/contributor/membership.md#approver)._

Maintainers ([@open-telemetry/specs-semconv-maintainers](https://github.com/orgs/open-telemetry/teams/specs-semconv-maintainers)):

- [Alexander Wert](https://github.com/AlexanderWert), Elastic
- [Armin Ruech](https://github.com/arminru), Dynatrace
- [Joao Grassi](https://github.com/joaopgrassi), Dynatrace
- [Johannes Tax](https://github.com/pyohannes), Grafana Labs
- [Josh Suereth](https://github.com/jsuereth), Google
- [Liudmila Molkova](https://github.com/lmolkova), Microsoft
- [Trask Stalnaker](https://github.com/trask), Microsoft

Emeritus Approvers:

- [Christian Neumüller](https://github.com/Oberon00)
- [James Moessis](https://github.com/jamesmoessis)
- [Sean Marciniak](https://github.com/MovieStoreGuy)

Emeritus Maintainers:

- [Reiley Yang](https://github.com/reyang)

_Find more about the maintainer role in [community repository](https://github.com/open-telemetry/community/blob/main/guides/contributor/membership.md#maintainer)._
