<!--- Hugo front matter used to generate the website version of this page:
linkTitle: Registry
weight: -2
auto_gen: below
--->

<!-- NOTE: THIS FILE IS AUTOGENERATED. DO NOT EDIT BY HAND. -->
<!-- see templates/registry/markdown/readme.md.j2 -->

# Attribute registry

The attributes registry is the place where attributes are defined. An attribute definition covers the following properties of an attribute:

- the `id` (the fully qualified name) of the attribute
- the `type` of the attribute
- the `stability` of the attribute
- a `brief` description of the attribute and optionally a longer `note`
- example values

Attributes defined in the registry can be used in different semantic conventions. Attributes should be included in this registry before they are used in semantic conventions. Semantic conventions may override all the properties of an attribute except for the `id`, `type` and `stability` in case it's required for a particular context. In addition, semantic conventions specify the requirement level of an attribute in the corresponding context.

A definition of an attribute in the registry doesn't necessarily imply that the attribute is used in any of the semantic conventions.

If applicable, application developers are encouraged to use existing attributes from this registry. See also [these recommendations][developers recommendations] regarding attribute selection and attribute naming for custom use cases.

All registered attributes are listed by namespace in this registry.

> [!WARNING]
>
> The following registry overview is a work in progress.
>
> Further attribute namespaces are currently being migrated and will appear in this registry soon.

Currently, the following namespaces exist:

- [Android](android.md)
- [App](app.md)
- [Artifact](artifact.md)
- [Aspnetcore](aspnetcore.md)
- [AWS](aws.md)
- [Azure](azure.md)
- [Browser](browser.md)
- [Cassandra](cassandra.md)
- [CICD](cicd.md)
- [Client](client.md)
- [Cloud](cloud.md)
- [CloudEvents](cloudevents.md)
- [CloudFoundry](cloudfoundry.md)
- [Code](code.md)
- [Container](container.md)
- [CPU](cpu.md)
- [CPython](cpython.md)
- [DB](db.md)
- [Deployment](deployment.md)
- [Destination](destination.md)
- [Device](device.md)
- [Disk](disk.md)
- [DNS](dns.md)
- [Dotnet](dotnet.md)
- [Elasticsearch](elasticsearch.md)
- [Enduser](enduser.md)
- [Error](error.md)
- [Event](event.md)
- [Exception](exception.md)
- [Faas](faas.md)
- [Feature Flag](feature-flag.md)
- [File](file.md)
- [GCP](gcp.md)
- [Gen AI](gen-ai.md)
- [Geo](geo.md)
- [Go](go.md)
- [GraphQL](graphql.md)
- [Hardware](hardware.md)
- [Heroku](heroku.md)
- [Host](host.md)
- [HTTP](http.md)
- [iOS](ios.md)
- [JVM](jvm.md)
- [K8s](k8s.md)
- [Linux](linux.md)
- [Log](log.md)
- [Messaging](messaging.md)
- [Network](network.md)
- [NodeJS](nodejs.md)
- [OCI](oci.md)
- [OpenTracing](opentracing.md)
- [OS](os.md)
- [OTel](otel.md)
- [Peer](peer.md)
- [Process](process.md)
- [Profile](profile.md)
- [RPC](rpc.md)
- [Security Rule](security-rule.md)
- [Server](server.md)
- [Service](service.md)
- [Session](session.md)
- [SignalR](signalr.md)
- [Source](source.md)
- [System](system.md)
- [Telemetry](telemetry.md)
- [Test](test.md)
- [Thread](thread.md)
- [TLS](tls.md)
- [URL](url.md)
- [User](user.md)
- [User Agent](user-agent.md)
- [V8js](v8js.md)
- [VCS](vcs.md)
- [Webengine](webengine.md)

[developers recommendations]: ../general/naming.md#recommendations-for-application-developers
