<!-- NOTE: THIS FILE IS AUTOGENERATED. DO NOT EDIT BY HAND. -->
<!-- see templates/registry/markdown/attribute_namespace.md.j2 -->

# Azure

- [Azure Client Library Attributes](#azure-client-library-attributes)
- [Azure Cosmos DB Attributes](#azure-cosmos-db-attributes)

## Azure Client Library Attributes

This section defines generic attributes used by Azure Client Libraries.

| Attribute | Type | Description | Examples | Stability |
|---|---|---|---|---|
| <a id="az-namespace" href="#az-namespace">`az.namespace`</a> | string | [Azure Resource Provider Namespace](https://learn.microsoft.com/azure/azure-resource-manager/management/azure-services-resource-providers) as recognized by the client. | `Microsoft.Storage`; `Microsoft.KeyVault`; `Microsoft.ServiceBus` | ![Development](https://img.shields.io/badge/-development-blue) |
| <a id="az-service-request-id" href="#az-service-request-id">`az.service_request_id`</a> | string | The unique identifier of the service request. It's generated by the Azure service and returned with the response. | `00000000-0000-0000-0000-000000000000` | ![Development](https://img.shields.io/badge/-development-blue) |
| <a id="azure-client-id" href="#azure-client-id">`azure.client.id`</a> | string | The unique identifier of the client instance. | `3ba4827d-4422-483f-b59f-85b74211c11d`; `storage-client-1` | ![Development](https://img.shields.io/badge/-development-blue) |

## Azure Cosmos DB Attributes

This section defines attributes for Azure Cosmos DB.

| Attribute | Type | Description | Examples | Stability |
|---|---|---|---|---|
| <a id="azure-cosmosdb-connection-mode" href="#azure-cosmosdb-connection-mode">`azure.cosmosdb.connection.mode`</a> | string | Cosmos client connection mode. | `gateway`; `direct` | ![Development](https://img.shields.io/badge/-development-blue) |
| <a id="azure-cosmosdb-consistency-level" href="#azure-cosmosdb-consistency-level">`azure.cosmosdb.consistency.level`</a> | string | Account or request [consistency level](https://learn.microsoft.com/azure/cosmos-db/consistency-levels). | `Eventual`; `ConsistentPrefix`; `BoundedStaleness`; `Strong`; `Session` | ![Development](https://img.shields.io/badge/-development-blue) |
| <a id="azure-cosmosdb-operation-contacted-regions" href="#azure-cosmosdb-operation-contacted-regions">`azure.cosmosdb.operation.contacted_regions`</a> | string[] | List of regions contacted during operation in the order that they were contacted. If there is more than one region listed, it indicates that the operation was performed on multiple regions i.e. cross-regional call. [1] | `["North Central US", "Australia East", "Australia Southeast"]` | ![Development](https://img.shields.io/badge/-development-blue) |
| <a id="azure-cosmosdb-operation-request-charge" href="#azure-cosmosdb-operation-request-charge">`azure.cosmosdb.operation.request_charge`</a> | double | The number of request units consumed by the operation. | `46.18`; `1.0` | ![Development](https://img.shields.io/badge/-development-blue) |
| <a id="azure-cosmosdb-request-body-size" href="#azure-cosmosdb-request-body-size">`azure.cosmosdb.request.body.size`</a> | int | Request payload size in bytes. |  | ![Development](https://img.shields.io/badge/-development-blue) |
| <a id="azure-cosmosdb-response-sub-status-code" href="#azure-cosmosdb-response-sub-status-code">`azure.cosmosdb.response.sub_status_code`</a> | int | Cosmos DB sub status code. | `1000`; `1002` | ![Development](https://img.shields.io/badge/-development-blue) |

**[1] `azure.cosmosdb.operation.contacted_regions`:** Region name matches the format of `displayName` in [Azure Location API](https://learn.microsoft.com/rest/api/subscription/subscriptions/list-locations?view=rest-subscription-2021-10-01&tabs=HTTP#location)

---

`azure.cosmosdb.connection.mode` has the following list of well-known values. If one of them applies, then the respective value MUST be used; otherwise, a custom value MAY be used.

| Value  | Description | Stability |
|---|---|---|
| `direct` | Direct connection. | ![Development](https://img.shields.io/badge/-development-blue) |
| `gateway` | Gateway (HTTP) connection. | ![Development](https://img.shields.io/badge/-development-blue) |

---

`azure.cosmosdb.consistency.level` has the following list of well-known values. If one of them applies, then the respective value MUST be used; otherwise, a custom value MAY be used.

| Value  | Description | Stability |
|---|---|---|
| `BoundedStaleness` | bounded_staleness | ![Development](https://img.shields.io/badge/-development-blue) |
| `ConsistentPrefix` | consistent_prefix | ![Development](https://img.shields.io/badge/-development-blue) |
| `Eventual` | eventual | ![Development](https://img.shields.io/badge/-development-blue) |
| `Session` | session | ![Development](https://img.shields.io/badge/-development-blue) |
| `Strong` | strong | ![Development](https://img.shields.io/badge/-development-blue) |
