<!-- NOTE: THIS FILE IS AUTOGENERATED. DO NOT EDIT BY HAND. -->
<!-- see templates/registry/markdown/attribute_namespace.md.j2 -->

# Cassandra

## Cassandra Attributes

This section defines attributes for Cassandra.

| Attribute | Type | Description | Examples | Stability |
|---|---|---|---|---|
| <a id="cassandra-consistency-level" href="#cassandra-consistency-level">`cassandra.consistency.level`</a> | string | The consistency level of the query. Based on consistency values from [CQL](https://docs.datastax.com/en/cassandra-oss/3.0/cassandra/dml/dmlConfigConsistency.html). | `all`; `each_quorum`; `quorum` | ![Development](https://img.shields.io/badge/-development-blue) |
| <a id="cassandra-coordinator-dc" href="#cassandra-coordinator-dc">`cassandra.coordinator.dc`</a> | string | The data center of the coordinating node for a query. | `us-west-2` | ![Development](https://img.shields.io/badge/-development-blue) |
| <a id="cassandra-coordinator-id" href="#cassandra-coordinator-id">`cassandra.coordinator.id`</a> | string | The ID of the coordinating node for a query. | `be13faa2-8574-4d71-926d-27f16cf8a7af` | ![Development](https://img.shields.io/badge/-development-blue) |
| <a id="cassandra-page-size" href="#cassandra-page-size">`cassandra.page.size`</a> | int | The fetch size used for paging, i.e. how many rows will be returned at once. | `5000` | ![Development](https://img.shields.io/badge/-development-blue) |
| <a id="cassandra-query-idempotent" href="#cassandra-query-idempotent">`cassandra.query.idempotent`</a> | boolean | Whether or not the query is idempotent. |  | ![Development](https://img.shields.io/badge/-development-blue) |
| <a id="cassandra-speculative-execution-count" href="#cassandra-speculative-execution-count">`cassandra.speculative_execution.count`</a> | int | The number of times a query was speculatively executed. Not set or `0` if the query was not executed speculatively. | `0`; `2` | ![Development](https://img.shields.io/badge/-development-blue) |

---

`cassandra.consistency.level` has the following list of well-known values. If one of them applies, then the respective value MUST be used; otherwise, a custom value MAY be used.

| Value  | Description | Stability |
|---|---|---|
| `all` | all | ![Development](https://img.shields.io/badge/-development-blue) |
| `any` | any | ![Development](https://img.shields.io/badge/-development-blue) |
| `each_quorum` | each_quorum | ![Development](https://img.shields.io/badge/-development-blue) |
| `local_one` | local_one | ![Development](https://img.shields.io/badge/-development-blue) |
| `local_quorum` | local_quorum | ![Development](https://img.shields.io/badge/-development-blue) |
| `local_serial` | local_serial | ![Development](https://img.shields.io/badge/-development-blue) |
| `one` | one | ![Development](https://img.shields.io/badge/-development-blue) |
| `quorum` | quorum | ![Development](https://img.shields.io/badge/-development-blue) |
| `serial` | serial | ![Development](https://img.shields.io/badge/-development-blue) |
| `three` | three | ![Development](https://img.shields.io/badge/-development-blue) |
| `two` | two | ![Development](https://img.shields.io/badge/-development-blue) |
