<!-- NOTE: THIS FILE IS AUTOGENERATED. DO NOT EDIT BY HAND. -->
<!-- see templates/registry/markdown/attribute_namespace.md.j2 -->

# CloudEvents

## CloudEvents Attributes

This document defines attributes for CloudEvents.

| Attribute | Type | Description | Examples | Stability |
|---|---|---|---|---|
| <a id="cloudevents-event-id" href="#cloudevents-event-id">`cloudevents.event_id`</a> | string | The [event_id](https://github.com/cloudevents/spec/blob/v1.0.2/cloudevents/spec.md#id) uniquely identifies the event. | `123e4567-e89b-12d3-a456-426614174000`; `0001` | ![Development](https://img.shields.io/badge/-development-blue) |
| <a id="cloudevents-event-source" href="#cloudevents-event-source">`cloudevents.event_source`</a> | string | The [source](https://github.com/cloudevents/spec/blob/v1.0.2/cloudevents/spec.md#source-1) identifies the context in which an event happened. | `https://github.com/cloudevents`; `/cloudevents/spec/pull/123`; `my-service` | ![Development](https://img.shields.io/badge/-development-blue) |
| <a id="cloudevents-event-spec-version" href="#cloudevents-event-spec-version">`cloudevents.event_spec_version`</a> | string | The [version of the CloudEvents specification](https://github.com/cloudevents/spec/blob/v1.0.2/cloudevents/spec.md#specversion) which the event uses. | `1.0` | ![Development](https://img.shields.io/badge/-development-blue) |
| <a id="cloudevents-event-subject" href="#cloudevents-event-subject">`cloudevents.event_subject`</a> | string | The [subject](https://github.com/cloudevents/spec/blob/v1.0.2/cloudevents/spec.md#subject) of the event in the context of the event producer (identified by source). | `mynewfile.jpg` | ![Development](https://img.shields.io/badge/-development-blue) |
| <a id="cloudevents-event-type" href="#cloudevents-event-type">`cloudevents.event_type`</a> | string | The [event_type](https://github.com/cloudevents/spec/blob/v1.0.2/cloudevents/spec.md#type) contains a value describing the type of event related to the originating occurrence. | `com.github.pull_request.opened`; `com.example.object.deleted.v2` | ![Development](https://img.shields.io/badge/-development-blue) |
