<!-- NOTE: THIS FILE IS AUTOGENERATED. DO NOT EDIT BY HAND. -->
<!-- see templates/registry/markdown/attribute_namespace.md.j2 -->

# CloudFoundry

## CloudFoundry Attributes

CloudFoundry resource attributes.

| Attribute | Type | Description | Examples | Stability |
|---|---|---|---|---|
| <a id="cloudfoundry-app-id" href="#cloudfoundry-app-id">`cloudfoundry.app.id`</a> | string | The guid of the application. [1] | `218fc5a9-a5f1-4b54-aa05-46717d0ab26d` | ![Development](https://img.shields.io/badge/-development-blue) |
| <a id="cloudfoundry-app-instance-id" href="#cloudfoundry-app-instance-id">`cloudfoundry.app.instance.id`</a> | string | The index of the application instance. 0 when just one instance is active. [2] | `0`; `1` | ![Development](https://img.shields.io/badge/-development-blue) |
| <a id="cloudfoundry-app-name" href="#cloudfoundry-app-name">`cloudfoundry.app.name`</a> | string | The name of the application. [3] | `my-app-name` | ![Development](https://img.shields.io/badge/-development-blue) |
| <a id="cloudfoundry-org-id" href="#cloudfoundry-org-id">`cloudfoundry.org.id`</a> | string | The guid of the CloudFoundry org the application is running in. [4] | `218fc5a9-a5f1-4b54-aa05-46717d0ab26d` | ![Development](https://img.shields.io/badge/-development-blue) |
| <a id="cloudfoundry-org-name" href="#cloudfoundry-org-name">`cloudfoundry.org.name`</a> | string | The name of the CloudFoundry organization the app is running in. [5] | `my-org-name` | ![Development](https://img.shields.io/badge/-development-blue) |
| <a id="cloudfoundry-process-id" href="#cloudfoundry-process-id">`cloudfoundry.process.id`</a> | string | The UID identifying the process. [6] | `218fc5a9-a5f1-4b54-aa05-46717d0ab26d` | ![Development](https://img.shields.io/badge/-development-blue) |
| <a id="cloudfoundry-process-type" href="#cloudfoundry-process-type">`cloudfoundry.process.type`</a> | string | The type of process. [7] | `web` | ![Development](https://img.shields.io/badge/-development-blue) |
| <a id="cloudfoundry-space-id" href="#cloudfoundry-space-id">`cloudfoundry.space.id`</a> | string | The guid of the CloudFoundry space the application is running in. [8] | `218fc5a9-a5f1-4b54-aa05-46717d0ab26d` | ![Development](https://img.shields.io/badge/-development-blue) |
| <a id="cloudfoundry-space-name" href="#cloudfoundry-space-name">`cloudfoundry.space.name`</a> | string | The name of the CloudFoundry space the application is running in. [9] | `my-space-name` | ![Development](https://img.shields.io/badge/-development-blue) |
| <a id="cloudfoundry-system-id" href="#cloudfoundry-system-id">`cloudfoundry.system.id`</a> | string | A guid or another name describing the event source. [10] | `cf/gorouter` | ![Development](https://img.shields.io/badge/-development-blue) |
| <a id="cloudfoundry-system-instance-id" href="#cloudfoundry-system-instance-id">`cloudfoundry.system.instance.id`</a> | string | A guid describing the concrete instance of the event source. [11] | `218fc5a9-a5f1-4b54-aa05-46717d0ab26d` | ![Development](https://img.shields.io/badge/-development-blue) |

**[1] `cloudfoundry.app.id`:** Application instrumentation should use the value from environment
variable `VCAP_APPLICATION.application_id`. This is the same value as
reported by `cf app <app-name> --guid`.

**[2] `cloudfoundry.app.instance.id`:** CloudFoundry defines the `instance_id` in the [Loggregator v2 envelope](https://github.com/cloudfoundry/loggregator-api#v2-envelope).
It is used for logs and metrics emitted by CloudFoundry. It is
supposed to contain the application instance index for applications
deployed on the runtime.

Application instrumentation should use the value from environment
variable `CF_INSTANCE_INDEX`.

**[3] `cloudfoundry.app.name`:** Application instrumentation should use the value from environment
variable `VCAP_APPLICATION.application_name`. This is the same value
as reported by `cf apps`.

**[4] `cloudfoundry.org.id`:** Application instrumentation should use the value from environment
variable `VCAP_APPLICATION.org_id`. This is the same value as
reported by `cf org <org-name> --guid`.

**[5] `cloudfoundry.org.name`:** Application instrumentation should use the value from environment
variable `VCAP_APPLICATION.org_name`. This is the same value as
reported by `cf orgs`.

**[6] `cloudfoundry.process.id`:** Application instrumentation should use the value from environment
variable `VCAP_APPLICATION.process_id`. It is supposed to be equal to
`VCAP_APPLICATION.app_id` for applications deployed to the runtime.
For system components, this could be the actual PID.

**[7] `cloudfoundry.process.type`:** CloudFoundry applications can consist of multiple jobs. Usually the
main process will be of type `web`. There can be additional background
tasks or side-cars with different process types.

**[8] `cloudfoundry.space.id`:** Application instrumentation should use the value from environment
variable `VCAP_APPLICATION.space_id`. This is the same value as
reported by `cf space <space-name> --guid`.

**[9] `cloudfoundry.space.name`:** Application instrumentation should use the value from environment
variable `VCAP_APPLICATION.space_name`. This is the same value as
reported by `cf spaces`.

**[10] `cloudfoundry.system.id`:** CloudFoundry defines the `source_id` in the [Loggregator v2 envelope](https://github.com/cloudfoundry/loggregator-api#v2-envelope).
It is used for logs and metrics emitted by CloudFoundry. It is
supposed to contain the component name, e.g. "gorouter", for
CloudFoundry components.

When system components are instrumented, values from the
[Bosh spec](https://bosh.io/docs/jobs/#properties-spec)
should be used. The `system.id` should be set to
`spec.deployment/spec.name`.

**[11] `cloudfoundry.system.instance.id`:** CloudFoundry defines the `instance_id` in the [Loggregator v2 envelope](https://github.com/cloudfoundry/loggregator-api#v2-envelope).
It is used for logs and metrics emitted by CloudFoundry. It is
supposed to contain the vm id for CloudFoundry components.

When system components are instrumented, values from the
[Bosh spec](https://bosh.io/docs/jobs/#properties-spec)
should be used. The `system.instance.id` should be set to `spec.id`.
