<!-- NOTE: THIS FILE IS AUTOGENERATED. DO NOT EDIT BY HAND. -->
<!-- see templates/registry/markdown/attribute_namespace.md.j2 -->

# GraphQL

## GraphQL Attributes

This document defines attributes for GraphQL.

| Attribute | Type | Description | Examples | Stability |
|---|---|---|---|---|
| <a id="graphql-document" href="#graphql-document">`graphql.document`</a> | string | The GraphQL document being executed. [1] | `query findBookById { bookById(id: ?) { name } }` | ![Development](https://img.shields.io/badge/-development-blue) |
| <a id="graphql-operation-name" href="#graphql-operation-name">`graphql.operation.name`</a> | string | The name of the operation being executed. | `findBookById` | ![Development](https://img.shields.io/badge/-development-blue) |
| <a id="graphql-operation-type" href="#graphql-operation-type">`graphql.operation.type`</a> | string | The type of the operation being executed. | `query`; `mutation`; `subscription` | ![Development](https://img.shields.io/badge/-development-blue) |

**[1] `graphql.document`:** The value may be sanitized to exclude sensitive information.

---

`graphql.operation.type` has the following list of well-known values. If one of them applies, then the respective value MUST be used; otherwise, a custom value MAY be used.

| Value  | Description | Stability |
|---|---|---|
| `mutation` | GraphQL mutation | ![Development](https://img.shields.io/badge/-development-blue) |
| `query` | GraphQL query | ![Development](https://img.shields.io/badge/-development-blue) |
| `subscription` | GraphQL subscription | ![Development](https://img.shields.io/badge/-development-blue) |
