<!-- NOTE: THIS FILE IS AUTOGENERATED. DO NOT EDIT BY HAND. -->
<!-- see templates/registry/markdown/attribute_namespace.md.j2 -->

# Log

- [General Log Attributes](#general-log-attributes)
- [Log File Attributes](#log-file-attributes)
- [Log Record Attributes](#log-record-attributes)

## General Log Attributes

This document defines log attributes

| Attribute | Type | Description | Examples | Stability |
|---|---|---|---|---|
| <a id="log-iostream" href="#log-iostream">`log.iostream`</a> | string | The stream associated with the log. See below for a list of well-known values. | `stdout`; `stderr` | ![Development](https://img.shields.io/badge/-development-blue) |

---

`log.iostream` has the following list of well-known values. If one of them applies, then the respective value MUST be used; otherwise, a custom value MAY be used.

| Value  | Description | Stability |
|---|---|---|
| `stderr` | Events from stderr stream | ![Development](https://img.shields.io/badge/-development-blue) |
| `stdout` | Logs from stdout stream | ![Development](https://img.shields.io/badge/-development-blue) |

## Log File Attributes

Attributes for a file to which log was emitted.

| Attribute | Type | Description | Examples | Stability |
|---|---|---|---|---|
| <a id="log-file-name" href="#log-file-name">`log.file.name`</a> | string | The basename of the file. | `audit.log` | ![Development](https://img.shields.io/badge/-development-blue) |
| <a id="log-file-name-resolved" href="#log-file-name-resolved">`log.file.name_resolved`</a> | string | The basename of the file, with symlinks resolved. | `uuid.log` | ![Development](https://img.shields.io/badge/-development-blue) |
| <a id="log-file-path" href="#log-file-path">`log.file.path`</a> | string | The full path to the file. | `/var/log/mysql/audit.log` | ![Development](https://img.shields.io/badge/-development-blue) |
| <a id="log-file-path-resolved" href="#log-file-path-resolved">`log.file.path_resolved`</a> | string | The full path to the file, with symlinks resolved. | `/var/lib/docker/uuid.log` | ![Development](https://img.shields.io/badge/-development-blue) |

## Log Record Attributes

This document defines the generic attributes that may be used in any Log Record.

| Attribute | Type | Description | Examples | Stability |
|---|---|---|---|---|
| <a id="log-record-original" href="#log-record-original">`log.record.original`</a> | string | The complete original Log Record. [1] | `77 <86>1 2015-08-06T21:58:59.694Z 192.168.2.133 inactive - - - Something happened`; `[INFO] 8/3/24 12:34:56 Something happened` | ![Development](https://img.shields.io/badge/-development-blue) |
| <a id="log-record-uid" href="#log-record-uid">`log.record.uid`</a> | string | A unique identifier for the Log Record. [2] | `01ARZ3NDEKTSV4RRFFQ69G5FAV` | ![Development](https://img.shields.io/badge/-development-blue) |

**[1] `log.record.original`:** This value MAY be added when processing a Log Record which was originally transmitted as a string or equivalent data type AND the Body field of the Log Record does not contain the same value. (e.g. a syslog or a log record read from a file.)

**[2] `log.record.uid`:** If an id is provided, other log records with the same id will be considered duplicates and can be removed safely. This means, that two distinguishable log records MUST have different values.
The id MAY be an [Universally Unique Lexicographically Sortable Identifier (ULID)](https://github.com/ulid/spec), but other identifiers (e.g. UUID) may be used as needed.
