<!-- NOTE: THIS FILE IS AUTOGENERATED. DO NOT EDIT BY HAND. -->
<!-- see templates/registry/markdown/attribute_namespace.md.j2 -->

# Network

- [Network Attributes](#network-attributes)
- [Deprecated Network Attributes](#deprecated-network-attributes)

## Network Attributes

These attributes may be used for any network related operation.

| Attribute | Type | Description | Examples | Stability |
|---|---|---|---|---|
| <a id="network-carrier-icc" href="#network-carrier-icc">`network.carrier.icc`</a> | string | The ISO 3166-1 alpha-2 2-character country code associated with the mobile carrier network. | `DE` | ![Development](https://img.shields.io/badge/-development-blue) |
| <a id="network-carrier-mcc" href="#network-carrier-mcc">`network.carrier.mcc`</a> | string | The mobile carrier country code. | `310` | ![Development](https://img.shields.io/badge/-development-blue) |
| <a id="network-carrier-mnc" href="#network-carrier-mnc">`network.carrier.mnc`</a> | string | The mobile carrier network code. | `001` | ![Development](https://img.shields.io/badge/-development-blue) |
| <a id="network-carrier-name" href="#network-carrier-name">`network.carrier.name`</a> | string | The name of the mobile carrier. | `sprint` | ![Development](https://img.shields.io/badge/-development-blue) |
| <a id="network-connection-state" href="#network-connection-state">`network.connection.state`</a> | string | The state of network connection [1] | `close_wait` | ![Development](https://img.shields.io/badge/-development-blue) |
| <a id="network-connection-subtype" href="#network-connection-subtype">`network.connection.subtype`</a> | string | This describes more details regarding the connection.type. It may be the type of cell technology connection, but it could be used for describing details about a wifi connection. | `LTE` | ![Development](https://img.shields.io/badge/-development-blue) |
| <a id="network-connection-type" href="#network-connection-type">`network.connection.type`</a> | string | The internet connection type. | `wifi` | ![Development](https://img.shields.io/badge/-development-blue) |
| <a id="network-interface-name" href="#network-interface-name">`network.interface.name`</a> | string | The network interface name. | `lo`; `eth0` | ![Development](https://img.shields.io/badge/-development-blue) |
| <a id="network-io-direction" href="#network-io-direction">`network.io.direction`</a> | string | The network IO operation direction. | `transmit` | ![Development](https://img.shields.io/badge/-development-blue) |
| <a id="network-local-address" href="#network-local-address">`network.local.address`</a> | string | Local address of the network connection - IP address or Unix domain socket name. | `10.1.2.80`; `/tmp/my.sock` | ![Stable](https://img.shields.io/badge/-stable-lightgreen) |
| <a id="network-local-port" href="#network-local-port">`network.local.port`</a> | int | Local port number of the network connection. | `65123` | ![Stable](https://img.shields.io/badge/-stable-lightgreen) |
| <a id="network-peer-address" href="#network-peer-address">`network.peer.address`</a> | string | Peer address of the network connection - IP address or Unix domain socket name. | `10.1.2.80`; `/tmp/my.sock` | ![Stable](https://img.shields.io/badge/-stable-lightgreen) |
| <a id="network-peer-port" href="#network-peer-port">`network.peer.port`</a> | int | Peer port number of the network connection. | `65123` | ![Stable](https://img.shields.io/badge/-stable-lightgreen) |
| <a id="network-protocol-name" href="#network-protocol-name">`network.protocol.name`</a> | string | [OSI application layer](https://wikipedia.org/wiki/Application_layer) or non-OSI equivalent. [2] | `amqp`; `http`; `mqtt` | ![Stable](https://img.shields.io/badge/-stable-lightgreen) |
| <a id="network-protocol-version" href="#network-protocol-version">`network.protocol.version`</a> | string | The actual version of the protocol used for network communication. [3] | `1.1`; `2` | ![Stable](https://img.shields.io/badge/-stable-lightgreen) |
| <a id="network-transport" href="#network-transport">`network.transport`</a> | string | [OSI transport layer](https://wikipedia.org/wiki/Transport_layer) or [inter-process communication method](https://wikipedia.org/wiki/Inter-process_communication). [4] | `tcp`; `udp` | ![Stable](https://img.shields.io/badge/-stable-lightgreen) |
| <a id="network-type" href="#network-type">`network.type`</a> | string | [OSI network layer](https://wikipedia.org/wiki/Network_layer) or non-OSI equivalent. [5] | `ipv4`; `ipv6` | ![Stable](https://img.shields.io/badge/-stable-lightgreen) |

**[1] `network.connection.state`:** Connection states are defined as part of the [rfc9293](https://datatracker.ietf.org/doc/html/rfc9293#section-3.3.2)

**[2] `network.protocol.name`:** The value SHOULD be normalized to lowercase.

**[3] `network.protocol.version`:** If protocol version is subject to negotiation (for example using [ALPN](https://www.rfc-editor.org/rfc/rfc7301.html)), this attribute SHOULD be set to the negotiated version. If the actual protocol version is not known, this attribute SHOULD NOT be set.

**[4] `network.transport`:** The value SHOULD be normalized to lowercase.

Consider always setting the transport when setting a port number, since
a port number is ambiguous without knowing the transport. For example
different processes could be listening on TCP port 12345 and UDP port 12345.

**[5] `network.type`:** The value SHOULD be normalized to lowercase.

---

`network.connection.state` has the following list of well-known values. If one of them applies, then the respective value MUST be used; otherwise, a custom value MAY be used.

| Value  | Description | Stability |
|---|---|---|
| `close_wait` | close_wait | ![Development](https://img.shields.io/badge/-development-blue) |
| `closed` | closed | ![Development](https://img.shields.io/badge/-development-blue) |
| `closing` | closing | ![Development](https://img.shields.io/badge/-development-blue) |
| `established` | established | ![Development](https://img.shields.io/badge/-development-blue) |
| `fin_wait_1` | fin_wait_1 | ![Development](https://img.shields.io/badge/-development-blue) |
| `fin_wait_2` | fin_wait_2 | ![Development](https://img.shields.io/badge/-development-blue) |
| `last_ack` | last_ack | ![Development](https://img.shields.io/badge/-development-blue) |
| `listen` | listen | ![Development](https://img.shields.io/badge/-development-blue) |
| `syn_received` | syn_received | ![Development](https://img.shields.io/badge/-development-blue) |
| `syn_sent` | syn_sent | ![Development](https://img.shields.io/badge/-development-blue) |
| `time_wait` | time_wait | ![Development](https://img.shields.io/badge/-development-blue) |

---

`network.connection.subtype` has the following list of well-known values. If one of them applies, then the respective value MUST be used; otherwise, a custom value MAY be used.

| Value  | Description | Stability |
|---|---|---|
| `cdma` | CDMA | ![Development](https://img.shields.io/badge/-development-blue) |
| `cdma2000_1xrtt` | CDMA2000 1XRTT | ![Development](https://img.shields.io/badge/-development-blue) |
| `edge` | EDGE | ![Development](https://img.shields.io/badge/-development-blue) |
| `ehrpd` | EHRPD | ![Development](https://img.shields.io/badge/-development-blue) |
| `evdo_0` | EVDO Rel. 0 | ![Development](https://img.shields.io/badge/-development-blue) |
| `evdo_a` | EVDO Rev. A | ![Development](https://img.shields.io/badge/-development-blue) |
| `evdo_b` | EVDO Rev. B | ![Development](https://img.shields.io/badge/-development-blue) |
| `gprs` | GPRS | ![Development](https://img.shields.io/badge/-development-blue) |
| `gsm` | GSM | ![Development](https://img.shields.io/badge/-development-blue) |
| `hsdpa` | HSDPA | ![Development](https://img.shields.io/badge/-development-blue) |
| `hspa` | HSPA | ![Development](https://img.shields.io/badge/-development-blue) |
| `hspap` | HSPAP | ![Development](https://img.shields.io/badge/-development-blue) |
| `hsupa` | HSUPA | ![Development](https://img.shields.io/badge/-development-blue) |
| `iden` | IDEN | ![Development](https://img.shields.io/badge/-development-blue) |
| `iwlan` | IWLAN | ![Development](https://img.shields.io/badge/-development-blue) |
| `lte` | LTE | ![Development](https://img.shields.io/badge/-development-blue) |
| `lte_ca` | LTE CA | ![Development](https://img.shields.io/badge/-development-blue) |
| `nr` | 5G NR (New Radio) | ![Development](https://img.shields.io/badge/-development-blue) |
| `nrnsa` | 5G NRNSA (New Radio Non-Standalone) | ![Development](https://img.shields.io/badge/-development-blue) |
| `td_scdma` | TD-SCDMA | ![Development](https://img.shields.io/badge/-development-blue) |
| `umts` | UMTS | ![Development](https://img.shields.io/badge/-development-blue) |

---

`network.connection.type` has the following list of well-known values. If one of them applies, then the respective value MUST be used; otherwise, a custom value MAY be used.

| Value  | Description | Stability |
|---|---|---|
| `cell` | cell | ![Development](https://img.shields.io/badge/-development-blue) |
| `unavailable` | unavailable | ![Development](https://img.shields.io/badge/-development-blue) |
| `unknown` | unknown | ![Development](https://img.shields.io/badge/-development-blue) |
| `wifi` | wifi | ![Development](https://img.shields.io/badge/-development-blue) |
| `wired` | wired | ![Development](https://img.shields.io/badge/-development-blue) |

---

`network.io.direction` has the following list of well-known values. If one of them applies, then the respective value MUST be used; otherwise, a custom value MAY be used.

| Value  | Description | Stability |
|---|---|---|
| `receive` | receive | ![Development](https://img.shields.io/badge/-development-blue) |
| `transmit` | transmit | ![Development](https://img.shields.io/badge/-development-blue) |

---

`network.transport` has the following list of well-known values. If one of them applies, then the respective value MUST be used; otherwise, a custom value MAY be used.

| Value  | Description | Stability |
|---|---|---|
| `pipe` | Named or anonymous pipe. | ![Stable](https://img.shields.io/badge/-stable-lightgreen) |
| `quic` | QUIC | ![Development](https://img.shields.io/badge/-development-blue) |
| `tcp` | TCP | ![Stable](https://img.shields.io/badge/-stable-lightgreen) |
| `udp` | UDP | ![Stable](https://img.shields.io/badge/-stable-lightgreen) |
| `unix` | Unix domain socket | ![Stable](https://img.shields.io/badge/-stable-lightgreen) |

---

`network.type` has the following list of well-known values. If one of them applies, then the respective value MUST be used; otherwise, a custom value MAY be used.

| Value  | Description | Stability |
|---|---|---|
| `ipv4` | IPv4 | ![Stable](https://img.shields.io/badge/-stable-lightgreen) |
| `ipv6` | IPv6 | ![Stable](https://img.shields.io/badge/-stable-lightgreen) |

## Deprecated Network Attributes

These attributes may be used for any network related operation.

| Attribute | Type | Description | Examples | Stability |
|---|---|---|---|---|
| <a id="net-host-ip" href="#net-host-ip">`net.host.ip`</a> | string | Deprecated, use `network.local.address`. | `192.168.0.1` | ![Deprecated](https://img.shields.io/badge/-deprecated-red)<br>Replaced by `network.local.address`. |
| <a id="net-host-name" href="#net-host-name">`net.host.name`</a> | string | Deprecated, use `server.address`. | `example.com` | ![Deprecated](https://img.shields.io/badge/-deprecated-red)<br>Replaced by `server.address`. |
| <a id="net-host-port" href="#net-host-port">`net.host.port`</a> | int | Deprecated, use `server.port`. | `8080` | ![Deprecated](https://img.shields.io/badge/-deprecated-red)<br>Replaced by `server.port`. |
| <a id="net-peer-ip" href="#net-peer-ip">`net.peer.ip`</a> | string | Deprecated, use `network.peer.address`. | `127.0.0.1` | ![Deprecated](https://img.shields.io/badge/-deprecated-red)<br>Replaced by `network.peer.address`. |
| <a id="net-peer-name" href="#net-peer-name">`net.peer.name`</a> | string | Deprecated, use `server.address` on client spans and `client.address` on server spans. | `example.com` | ![Deprecated](https://img.shields.io/badge/-deprecated-red)<br>Replaced by `server.address` on client spans and `client.address` on server spans. |
| <a id="net-peer-port" href="#net-peer-port">`net.peer.port`</a> | int | Deprecated, use `server.port` on client spans and `client.port` on server spans. | `8080` | ![Deprecated](https://img.shields.io/badge/-deprecated-red)<br>Replaced by `server.port` on client spans and `client.port` on server spans. |
| <a id="net-protocol-name" href="#net-protocol-name">`net.protocol.name`</a> | string | Deprecated, use `network.protocol.name`. | `amqp`; `http`; `mqtt` | ![Deprecated](https://img.shields.io/badge/-deprecated-red)<br>Replaced by `network.protocol.name`. |
| <a id="net-protocol-version" href="#net-protocol-version">`net.protocol.version`</a> | string | Deprecated, use `network.protocol.version`. | `3.1.1` | ![Deprecated](https://img.shields.io/badge/-deprecated-red)<br>Replaced by `network.protocol.version`. |
| <a id="net-sock-family" href="#net-sock-family">`net.sock.family`</a> | string | Deprecated, use `network.transport` and `network.type`. | `inet`; `inet6`; `unix` | ![Deprecated](https://img.shields.io/badge/-deprecated-red)<br>Split to `network.transport` and `network.type`. |
| <a id="net-sock-host-addr" href="#net-sock-host-addr">`net.sock.host.addr`</a> | string | Deprecated, use `network.local.address`. | `/var/my.sock` | ![Deprecated](https://img.shields.io/badge/-deprecated-red)<br>Replaced by `network.local.address`. |
| <a id="net-sock-host-port" href="#net-sock-host-port">`net.sock.host.port`</a> | int | Deprecated, use `network.local.port`. | `8080` | ![Deprecated](https://img.shields.io/badge/-deprecated-red)<br>Replaced by `network.local.port`. |
| <a id="net-sock-peer-addr" href="#net-sock-peer-addr">`net.sock.peer.addr`</a> | string | Deprecated, use `network.peer.address`. | `192.168.0.1` | ![Deprecated](https://img.shields.io/badge/-deprecated-red)<br>Replaced by `network.peer.address`. |
| <a id="net-sock-peer-name" href="#net-sock-peer-name">`net.sock.peer.name`</a> | string | Deprecated, no replacement at this time. | `/var/my.sock` | ![Deprecated](https://img.shields.io/badge/-deprecated-red)<br>Removed. No replacement at this time. |
| <a id="net-sock-peer-port" href="#net-sock-peer-port">`net.sock.peer.port`</a> | int | Deprecated, use `network.peer.port`. | `65531` | ![Deprecated](https://img.shields.io/badge/-deprecated-red)<br>Replaced by `network.peer.port`. |
| <a id="net-transport" href="#net-transport">`net.transport`</a> | string | Deprecated, use `network.transport`. | `ip_tcp`; `ip_udp`; `pipe` | ![Deprecated](https://img.shields.io/badge/-deprecated-red)<br>Replaced by `network.transport`. |

---

`net.sock.family` has the following list of well-known values. If one of them applies, then the respective value MUST be used; otherwise, a custom value MAY be used.

| Value  | Description | Stability |
|---|---|---|
| `inet` | IPv4 address | ![Development](https://img.shields.io/badge/-development-blue) |
| `inet6` | IPv6 address | ![Development](https://img.shields.io/badge/-development-blue) |
| `unix` | Unix domain socket path | ![Development](https://img.shields.io/badge/-development-blue) |

---

`net.transport` has the following list of well-known values. If one of them applies, then the respective value MUST be used; otherwise, a custom value MAY be used.

| Value  | Description | Stability |
|---|---|---|
| `inproc` | In-process communication. [6] | ![Development](https://img.shields.io/badge/-development-blue) |
| `ip_tcp` | ip_tcp | ![Development](https://img.shields.io/badge/-development-blue) |
| `ip_udp` | ip_udp | ![Development](https://img.shields.io/badge/-development-blue) |
| `other` | Something else (non IP-based). | ![Development](https://img.shields.io/badge/-development-blue) |
| `pipe` | Named or anonymous pipe. | ![Development](https://img.shields.io/badge/-development-blue) |

**[6]:** Signals that there is only in-process communication not using a "real" network protocol in cases where network attributes would normally be expected. Usually all other network attributes can be left out in that case.
