<!-- NOTE: THIS FILE IS AUTOGENERATED. DO NOT EDIT BY HAND. -->
<!-- see templates/registry/markdown/attribute_namespace.md.j2 -->

# OS

## Operating System Attributes

The operating system (OS) on which the process represented by this resource is running.

| Attribute | Type | Description | Examples | Stability |
|---|---|---|---|---|
| <a id="os-build-id" href="#os-build-id">`os.build_id`</a> | string | Unique identifier for a particular build or compilation of the operating system. | `TQ3C.230805.001.B2`; `20E247`; `22621` | ![Development](https://img.shields.io/badge/-development-blue) |
| <a id="os-description" href="#os-description">`os.description`</a> | string | Human readable (not intended to be parsed) OS version information, like e.g. reported by `ver` or `lsb_release -a` commands. | `Microsoft Windows [Version 10.0.18363.778]`; `Ubuntu 18.04.1 LTS` | ![Development](https://img.shields.io/badge/-development-blue) |
| <a id="os-name" href="#os-name">`os.name`</a> | string | Human readable operating system name. | `iOS`; `Android`; `Ubuntu` | ![Development](https://img.shields.io/badge/-development-blue) |
| <a id="os-type" href="#os-type">`os.type`</a> | string | The operating system type. | `windows`; `linux`; `darwin` | ![Development](https://img.shields.io/badge/-development-blue) |
| <a id="os-version" href="#os-version">`os.version`</a> | string | The version string of the operating system as defined in [Version Attributes](/docs/resource/README.md#version-attributes). | `14.2.1`; `18.04.1` | ![Development](https://img.shields.io/badge/-development-blue) |

---

`os.type` has the following list of well-known values. If one of them applies, then the respective value MUST be used; otherwise, a custom value MAY be used.

| Value  | Description | Stability |
|---|---|---|
| `aix` | AIX (Advanced Interactive eXecutive) | ![Development](https://img.shields.io/badge/-development-blue) |
| `darwin` | Apple Darwin | ![Development](https://img.shields.io/badge/-development-blue) |
| `dragonflybsd` | DragonFly BSD | ![Development](https://img.shields.io/badge/-development-blue) |
| `freebsd` | FreeBSD | ![Development](https://img.shields.io/badge/-development-blue) |
| `hpux` | HP-UX (Hewlett Packard Unix) | ![Development](https://img.shields.io/badge/-development-blue) |
| `linux` | Linux | ![Development](https://img.shields.io/badge/-development-blue) |
| `netbsd` | NetBSD | ![Development](https://img.shields.io/badge/-development-blue) |
| `openbsd` | OpenBSD | ![Development](https://img.shields.io/badge/-development-blue) |
| `solaris` | SunOS, Oracle Solaris | ![Development](https://img.shields.io/badge/-development-blue) |
| `windows` | Microsoft Windows | ![Development](https://img.shields.io/badge/-development-blue) |
| `z_os` | IBM z/OS | ![Development](https://img.shields.io/badge/-development-blue) |
