<!-- NOTE: THIS FILE IS AUTOGENERATED. DO NOT EDIT BY HAND. -->
<!-- see templates/registry/markdown/attribute_namespace.md.j2 -->

# System

- [General System Attributes](#general-system-attributes)
- [Filesystem Attributes](#filesystem-attributes)
- [System Memory Attributes](#system-memory-attributes)
- [System Paging Attributes](#system-paging-attributes)
- [System Process Attributes](#system-process-attributes)
- [Deprecated System Attributes](#deprecated-system-attributes)

## General System Attributes

Describes System attributes

| Attribute | Type | Description | Examples | Stability |
|---|---|---|---|---|
| <a id="system-device" href="#system-device">`system.device`</a> | string | The device identifier | `(identifier)` | ![Development](https://img.shields.io/badge/-development-blue) |

## Filesystem Attributes

Describes Filesystem attributes

| Attribute | Type | Description | Examples | Stability |
|---|---|---|---|---|
| <a id="system-filesystem-mode" href="#system-filesystem-mode">`system.filesystem.mode`</a> | string | The filesystem mode | `rw, ro` | ![Development](https://img.shields.io/badge/-development-blue) |
| <a id="system-filesystem-mountpoint" href="#system-filesystem-mountpoint">`system.filesystem.mountpoint`</a> | string | The filesystem mount path | `/mnt/data` | ![Development](https://img.shields.io/badge/-development-blue) |
| <a id="system-filesystem-state" href="#system-filesystem-state">`system.filesystem.state`</a> | string | The filesystem state | `used` | ![Development](https://img.shields.io/badge/-development-blue) |
| <a id="system-filesystem-type" href="#system-filesystem-type">`system.filesystem.type`</a> | string | The filesystem type | `ext4` | ![Development](https://img.shields.io/badge/-development-blue) |

---

`system.filesystem.state` has the following list of well-known values. If one of them applies, then the respective value MUST be used; otherwise, a custom value MAY be used.

| Value  | Description | Stability |
|---|---|---|
| `free` | free | ![Development](https://img.shields.io/badge/-development-blue) |
| `reserved` | reserved | ![Development](https://img.shields.io/badge/-development-blue) |
| `used` | used | ![Development](https://img.shields.io/badge/-development-blue) |

---

`system.filesystem.type` has the following list of well-known values. If one of them applies, then the respective value MUST be used; otherwise, a custom value MAY be used.

| Value  | Description | Stability |
|---|---|---|
| `exfat` | exfat | ![Development](https://img.shields.io/badge/-development-blue) |
| `ext4` | ext4 | ![Development](https://img.shields.io/badge/-development-blue) |
| `fat32` | fat32 | ![Development](https://img.shields.io/badge/-development-blue) |
| `hfsplus` | hfsplus | ![Development](https://img.shields.io/badge/-development-blue) |
| `ntfs` | ntfs | ![Development](https://img.shields.io/badge/-development-blue) |
| `refs` | refs | ![Development](https://img.shields.io/badge/-development-blue) |

## System Memory Attributes

Describes System Memory attributes

| Attribute | Type | Description | Examples | Stability |
|---|---|---|---|---|
| <a id="system-memory-state" href="#system-memory-state">`system.memory.state`</a> | string | The memory state | `free`; `cached` | ![Development](https://img.shields.io/badge/-development-blue) |

---

`system.memory.state` has the following list of well-known values. If one of them applies, then the respective value MUST be used; otherwise, a custom value MAY be used.

| Value  | Description | Stability |
|---|---|---|
| `buffers` | buffers | ![Development](https://img.shields.io/badge/-development-blue) |
| `cached` | cached | ![Development](https://img.shields.io/badge/-development-blue) |
| `free` | free | ![Development](https://img.shields.io/badge/-development-blue) |
| `used` | used | ![Development](https://img.shields.io/badge/-development-blue) |

## System Paging Attributes

Describes System Memory Paging attributes

| Attribute | Type | Description | Examples | Stability |
|---|---|---|---|---|
| <a id="system-paging-direction" href="#system-paging-direction">`system.paging.direction`</a> | string | The paging access direction | `in` | ![Development](https://img.shields.io/badge/-development-blue) |
| <a id="system-paging-state" href="#system-paging-state">`system.paging.state`</a> | string | The memory paging state | `free` | ![Development](https://img.shields.io/badge/-development-blue) |
| <a id="system-paging-type" href="#system-paging-type">`system.paging.type`</a> | string | The memory paging type | `minor` | ![Development](https://img.shields.io/badge/-development-blue) |

---

`system.paging.direction` has the following list of well-known values. If one of them applies, then the respective value MUST be used; otherwise, a custom value MAY be used.

| Value  | Description | Stability |
|---|---|---|
| `in` | in | ![Development](https://img.shields.io/badge/-development-blue) |
| `out` | out | ![Development](https://img.shields.io/badge/-development-blue) |

---

`system.paging.state` has the following list of well-known values. If one of them applies, then the respective value MUST be used; otherwise, a custom value MAY be used.

| Value  | Description | Stability |
|---|---|---|
| `free` | free | ![Development](https://img.shields.io/badge/-development-blue) |
| `used` | used | ![Development](https://img.shields.io/badge/-development-blue) |

---

`system.paging.type` has the following list of well-known values. If one of them applies, then the respective value MUST be used; otherwise, a custom value MAY be used.

| Value  | Description | Stability |
|---|---|---|
| `major` | major | ![Development](https://img.shields.io/badge/-development-blue) |
| `minor` | minor | ![Development](https://img.shields.io/badge/-development-blue) |

## System Process Attributes

Describes System Process attributes

| Attribute | Type | Description | Examples | Stability |
|---|---|---|---|---|
| <a id="system-process-status" href="#system-process-status">`system.process.status`</a> | string | The process state, e.g., [Linux Process State Codes](https://man7.org/linux/man-pages/man1/ps.1.html#PROCESS_STATE_CODES) | `running` | ![Development](https://img.shields.io/badge/-development-blue) |

---

`system.process.status` has the following list of well-known values. If one of them applies, then the respective value MUST be used; otherwise, a custom value MAY be used.

| Value  | Description | Stability |
|---|---|---|
| `defunct` | defunct | ![Development](https://img.shields.io/badge/-development-blue) |
| `running` | running | ![Development](https://img.shields.io/badge/-development-blue) |
| `sleeping` | sleeping | ![Development](https://img.shields.io/badge/-development-blue) |
| `stopped` | stopped | ![Development](https://img.shields.io/badge/-development-blue) |

## Deprecated System Attributes

Deprecated system attributes.

| Attribute | Type | Description | Examples | Stability |
|---|---|---|---|---|
| <a id="system-cpu-logical-number" href="#system-cpu-logical-number">`system.cpu.logical_number`</a> | int | Deprecated, use `cpu.logical_number` instead. | `1` | ![Development](https://img.shields.io/badge/-development-blue) |
| <a id="system-cpu-state" href="#system-cpu-state">`system.cpu.state`</a> | string | Deprecated, use `cpu.mode` instead. | `idle`; `interrupt` | ![Deprecated](https://img.shields.io/badge/-deprecated-red)<br>Replaced by `cpu.mode`. |
| <a id="system-network-state" href="#system-network-state">`system.network.state`</a> | string | Deprecated, use `network.connection.state` instead. | `close_wait` | ![Deprecated](https://img.shields.io/badge/-deprecated-red)<br>Replaced by `network.connection.state`. |
| <a id="system-processes-status" href="#system-processes-status">`system.processes.status`</a> | string | Deprecated, use `system.process.status` instead. | `running` | ![Deprecated](https://img.shields.io/badge/-deprecated-red)<br>Replaced by `system.process.status`. |

---

`system.cpu.state` has the following list of well-known values. If one of them applies, then the respective value MUST be used; otherwise, a custom value MAY be used.

| Value  | Description | Stability |
|---|---|---|
| `idle` | idle | ![Development](https://img.shields.io/badge/-development-blue) |
| `interrupt` | interrupt | ![Development](https://img.shields.io/badge/-development-blue) |
| `iowait` | iowait | ![Development](https://img.shields.io/badge/-development-blue) |
| `nice` | nice | ![Development](https://img.shields.io/badge/-development-blue) |
| `steal` | steal | ![Development](https://img.shields.io/badge/-development-blue) |
| `system` | system | ![Development](https://img.shields.io/badge/-development-blue) |
| `user` | user | ![Development](https://img.shields.io/badge/-development-blue) |

---

`system.network.state` has the following list of well-known values. If one of them applies, then the respective value MUST be used; otherwise, a custom value MAY be used.

| Value  | Description | Stability |
|---|---|---|
| `close` | close | ![Development](https://img.shields.io/badge/-development-blue) |
| `close_wait` | close_wait | ![Development](https://img.shields.io/badge/-development-blue) |
| `closing` | closing | ![Development](https://img.shields.io/badge/-development-blue) |
| `delete` | delete | ![Development](https://img.shields.io/badge/-development-blue) |
| `established` | established | ![Development](https://img.shields.io/badge/-development-blue) |
| `fin_wait_1` | fin_wait_1 | ![Development](https://img.shields.io/badge/-development-blue) |
| `fin_wait_2` | fin_wait_2 | ![Development](https://img.shields.io/badge/-development-blue) |
| `last_ack` | last_ack | ![Development](https://img.shields.io/badge/-development-blue) |
| `listen` | listen | ![Development](https://img.shields.io/badge/-development-blue) |
| `syn_recv` | syn_recv | ![Development](https://img.shields.io/badge/-development-blue) |
| `syn_sent` | syn_sent | ![Development](https://img.shields.io/badge/-development-blue) |
| `time_wait` | time_wait | ![Development](https://img.shields.io/badge/-development-blue) |

---

`system.processes.status` has the following list of well-known values. If one of them applies, then the respective value MUST be used; otherwise, a custom value MAY be used.

| Value  | Description | Stability |
|---|---|---|
| `defunct` | defunct | ![Development](https://img.shields.io/badge/-development-blue) |
| `running` | running | ![Development](https://img.shields.io/badge/-development-blue) |
| `sleeping` | sleeping | ![Development](https://img.shields.io/badge/-development-blue) |
| `stopped` | stopped | ![Development](https://img.shields.io/badge/-development-blue) |
