<!-- NOTE: THIS FILE IS AUTOGENERATED. DO NOT EDIT BY HAND. -->
<!-- see templates/registry/markdown/attribute_namespace.md.j2 -->

# Test

## Test Attributes

This group describes attributes specific to [software tests](https://wikipedia.org/wiki/Software_testing).

| Attribute | Type | Description | Examples | Stability |
|---|---|---|---|---|
| <a id="test-case-name" href="#test-case-name">`test.case.name`</a> | string | The fully qualified human readable name of the [test case](https://wikipedia.org/wiki/Test_case). | `org.example.TestCase1.test1`; `example/tests/TestCase1.test1`; `ExampleTestCase1_test1` | ![Development](https://img.shields.io/badge/-development-blue) |
| <a id="test-case-result-status" href="#test-case-result-status">`test.case.result.status`</a> | string | The status of the actual test case result from test execution. | `pass`; `fail` | ![Development](https://img.shields.io/badge/-development-blue) |
| <a id="test-suite-name" href="#test-suite-name">`test.suite.name`</a> | string | The human readable name of a [test suite](https://wikipedia.org/wiki/Test_suite). | `TestSuite1` | ![Development](https://img.shields.io/badge/-development-blue) |
| <a id="test-suite-run-status" href="#test-suite-run-status">`test.suite.run.status`</a> | string | The status of the test suite run. | `success`; `failure`; `skipped`; `aborted`; `timed_out`; `in_progress` | ![Development](https://img.shields.io/badge/-development-blue) |

---

`test.case.result.status` has the following list of well-known values. If one of them applies, then the respective value MUST be used; otherwise, a custom value MAY be used.

| Value  | Description | Stability |
|---|---|---|
| `fail` | fail | ![Development](https://img.shields.io/badge/-development-blue) |
| `pass` | pass | ![Development](https://img.shields.io/badge/-development-blue) |

---

`test.suite.run.status` has the following list of well-known values. If one of them applies, then the respective value MUST be used; otherwise, a custom value MAY be used.

| Value  | Description | Stability |
|---|---|---|
| `aborted` | aborted | ![Development](https://img.shields.io/badge/-development-blue) |
| `failure` | failure | ![Development](https://img.shields.io/badge/-development-blue) |
| `in_progress` | in_progress | ![Development](https://img.shields.io/badge/-development-blue) |
| `skipped` | skipped | ![Development](https://img.shields.io/badge/-development-blue) |
| `success` | success | ![Development](https://img.shields.io/badge/-development-blue) |
| `timed_out` | timed_out | ![Development](https://img.shields.io/badge/-development-blue) |
