<!-- NOTE: THIS FILE IS AUTOGENERATED. DO NOT EDIT BY HAND. -->
<!-- see templates/registry/markdown/attribute_namespace.md.j2 -->

# V8js

## V8 JS Attributes

Describes V8 JS Engine Runtime related attributes.

| Attribute | Type | Description | Examples | Stability |
|---|---|---|---|---|
| <a id="v8js-gc-type" href="#v8js-gc-type">`v8js.gc.type`</a> | string | The type of garbage collection. | `major`; `minor`; `incremental` | ![Development](https://img.shields.io/badge/-development-blue) |
| <a id="v8js-heap-space-name" href="#v8js-heap-space-name">`v8js.heap.space.name`</a> | string | The name of the space type of heap memory. [1] | `new_space`; `old_space`; `code_space` | ![Development](https://img.shields.io/badge/-development-blue) |

**[1] `v8js.heap.space.name`:** Value can be retrieved from value `space_name` of [`v8.getHeapSpaceStatistics()`](https://nodejs.org/api/v8.html#v8getheapspacestatistics)

---

`v8js.gc.type` has the following list of well-known values. If one of them applies, then the respective value MUST be used; otherwise, a custom value MAY be used.

| Value  | Description | Stability |
|---|---|---|
| `incremental` | Incremental (Incremental Marking). | ![Development](https://img.shields.io/badge/-development-blue) |
| `major` | Major (Mark Sweep Compact). | ![Development](https://img.shields.io/badge/-development-blue) |
| `minor` | Minor (Scavenge). | ![Development](https://img.shields.io/badge/-development-blue) |
| `weakcb` | Weak Callbacks (Process Weak Callbacks). | ![Development](https://img.shields.io/badge/-development-blue) |

---

`v8js.heap.space.name` has the following list of well-known values. If one of them applies, then the respective value MUST be used; otherwise, a custom value MAY be used.

| Value  | Description | Stability |
|---|---|---|
| `code_space` | Code memory space. | ![Development](https://img.shields.io/badge/-development-blue) |
| `large_object_space` | Large object memory space. | ![Development](https://img.shields.io/badge/-development-blue) |
| `map_space` | Map memory space. | ![Development](https://img.shields.io/badge/-development-blue) |
| `new_space` | New memory space. | ![Development](https://img.shields.io/badge/-development-blue) |
| `old_space` | Old memory space. | ![Development](https://img.shields.io/badge/-development-blue) |
